/*==========================================================
Script by jin-ren
  Googleの検索結果からサムネイルを作成
  アドレス拡張＋からの変更点
  ・PDFはリンクしないようにした
                                                2002/09/08
==========================================================*/

  var obj, document, id, window;

  obj = new ActiveXObject("Sleipnir.API");
  id = obj.GetDocumentID(obj.ActiveIndex);
  document = obj.GetDocumentObject(id);
  window = obj.GetWindowObject(id);

  if (document == null)
  {
    obj.MessageBox("Document を作成できません");
  }
  else
  {
  var x=window.prompt("サムネイルする上限を指定して下さい","10");
  var j=0;
  var atag=document.all.tags("A");
  for(i in atag){
    if(atag[i].parentElement==null){continue;}
    if(atag[i].parentElement.tagName!="P"||atag[i].className=="f1"){continue;}
    if(atag[i].href.match(/(http\:\/\/)*\.pdf/)){continue;}
    atag[i].insertAdjacentHTML("BeforeBegin","<iframe src=\""+atag[i].href+"\" style=\"zoom:0.5;\" height=\"600\" width=\"600\"></iframe>");
    j++;
    if(j==x-0){break;}
  }

    document = null;
  }

  obj.beep();
  window = null;
  obj = null;
